/* howto用のカスタムcss */

/* cssカスタムプロパティ */
:root {
  --primary-color: #005016;
  --secondary-color: #37a93d;
  --tertiary-color: #bcefbf;
  --lite-color: #c9e0ca;
  --dark-color: #336633;
  --accent-color: #ffa033;
  --conservative-color: #767676;
  --letter-space-larger: 5%;
  --letter-space-largest: 10%;
  --future-gradation: linear-gradient(90deg, #bcefbf, #f8f7aa);
  --sans: "Noto Sans JP", sans-serif;
  --serif: "Noto Serif JP", serif;
  --max-width: 1600px;
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-size: 16px;
}
img {
  width: 100%;
  height: auto;
  object-fit: contain;
}

body.home {
  width: 100%;
  margin: 0 auto;
  font-family: var(--serif);
  font-weight: 500;
  color: #333;
  line-height: 1.5;
}
.link-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 1rem;
}
.link {
  display: block;
  font-size: 1.25rem;
  color: var(--secondary-color);
  padding: 1rem 2rem;
  font-weight: bold;
  font-family: var(--sans);
  background-color: var(--tertiary-color);
  border: 1px solid var((--tertiary-color));
  border-radius: 3rem;
  text-decoration: none;
  box-shadow: 0 2px 4px rgb(0 0 0 / 25%);
  transition: background-color ease 0.2s;
  @media (max-width: 520px) {
    font-size: 1rem;
  }
}
.link:active {
  color: inherit;
}
.link:hover {
  color: white;
  background-color: var(--secondary-color);
}
.with-border,
.with-border-lazy {
  position: relative;
}
.with-border::after,
.with-border-lazy::after {
  content: "";
  display: block;
  /* width を CSS変数にする（初期値 0%） */
  width: var(--border-width, 0%);
  height: 50%;
  position: absolute;
  bottom: 0;
  left: 0; /* 右端を固定して左に伸ばす */
  scale: 105%;
  z-index: -1;
  background: var(--future-gradation);
}
.fade-up,
.fade-in {
  visibility: hidden;
}
.scroll-line-wrapper {
  position: absolute;
  bottom: 2rem;
  left: 50%;
  transform: translateX(-50%);
  width: 2px;
  height: 4rem; /* 全体の長さ */
  overflow: hidden; /* はみ出た線を見えなくする */
}
.scroll-line {
  width: 100%;
  height: 100%;
  background-color: var(--accent-color);
}
@media (max-width: 768px) {
  .space {
    display: none;
  }
}
@media (orientation: landscape) {
  .line-break {
    display: none;
  }
}

.background {
  margin: 0 auto;
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  max-width: 100%;
  height: auto;
  z-index: -1;
  @media (orientation: portrait) {
    width: auto;
    height: 100%;
    object-fit: cover;
  }
}
.main {
  margin: 0 auto;
  max-width: var(--max-width);
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 10rem;
  @media (max-width: 520px) {
    gap: 5rem;
  }
}

.firstview {
  height: 100vh;
  max-width: 100%;
  @media (orientation: portrait) {
    height: fit-content;
  }
  .firstview__title {
    visibility: hidden;
    width: 1px;
    height: 1px;
    opacity: 0;
  }
  .firstview__sp {
    display: none;
  }
  @media (max-width: 768px) {
    .firstview__sp {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      padding: 1rem;
      width: 75%;
      margin: 0 auto;
      @media (max-width: 520px) {
        width: 100%;
        min-height: 85vh;
      }
    }
    .firstview__pc {
      display: none;
    }
  }
  .firstview__pc {
    width: auto;
    height: 100vh;
    top: 0;
    left: 0;
    @media (orientation: portrait) {
      height: 50vw;
    }
  }
  .fvpc__center,
  .fvpc__flame {
    position: absolute;
    max-height: 100vh;
    top: 0;
    left: 0;
    right: 0;
  }
  .fvpc__center,
  .fvsp__center {
    z-index: 10;
  }
  .fv-fade-in,
  .fv-fade-up {
    visibility: hidden;
  }
}
.past {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  justify-content: flex-start;
  gap: 5rem;
  .past__title {
    font-size: 2.75rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 1rem;
    letter-spacing: var(--letter-space-larger);
    font-weight: bold;
    b {
      font-weight: inherit;
      font-size: 3.25rem;
      color: var(--primary-color);
      text-align: center;
    }
    @media (max-width: 520px) {
      font-size: 2rem;
      b {
        font-size: 2.5rem;
      }
    }
  }
  .past__text {
    text-align: center;
    line-height: 2;
    font-size: 1.5rem;
    @media (max-width: 520px) {
      font-size: 1.25rem;
    }
  }
  .shizen {
    margin: 0 auto;
    width: fit-content;
    max-width: 30%;
    height: auto;
    .shizen__image {
      width: 100%;
      box-shadow: 2px 4px 4px rgb(0 0 0 / 50%);
    }
    .shizen__caption {
      color: #454545;
      margin: 1rem 0;
    }
    @media (orientation: portrait) {
      max-width: 70%;
    }
  }
  .past__hr {
    width: 8rem;
    height: 0.25rem;
    background-color: var(--lite-color);
    border: none;
    border-radius: 0.25rem;
  }
  .ayumi {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 4.5rem;
    @media (max-width: 520px) {
      padding: 0 1rem;
    }
    .ayumi__title {
      font-size: 2.5rem;
      @media (max-width: 520px) {
        font-size: 2rem;
      }
    }
    .ayumi__text {
      max-width: 45%;
      background-color: rgb(255 255 255 / 90%);
      padding: 1rem;
      font-size: 1.25rem;
      line-height: 2;
      @media (max-width: 520px) {
        max-width: 100%;
        font-size: 1rem;
      }
    }
    .ayumi__slides {
      list-style: none;
    }
    .ayumi__suppliment-text {
      font-size: 2.25rem;
      letter-spacing: var(--letter-space-largest);
      line-height: 1.25;
      text-align: center;
      margin-top: 3rem;
      b {
        font-size: 3.5rem;
        color: var(--secondary-color);
        margin: 0 0.25rem;
      }
      span {
        font-size: 1rem;
      }
      @media (max-width: 520px) {
        font-size: 1.5rem;
        b {
          font-size: 2rem;
        }
        span {
          display: block;
          margin-top: 1rem;
        }
      }
    }
  }
}
.swiper {
  max-width: var(--max-width);
  width: 80vw;
  height: 31rem;
  @media (max-width: 520px) {
    height: 28rem;
  }
}
.swiper-nav-wrapper {
  position: relative;
  padding: 0 4rem;
  --swiper-navigation-color: var(--dark-color);
  --swiper-pagination-color: var(--secondary-color);
  @media (max-width: 520px) {
    padding: 0 1.25rem;
    .swiper-button-prev,
    .swiper-button-next {
      width: 1.25rem;
      height: 1.25rem;
      padding: 0.25rem;
      background-color: white;
      border-radius: 3rem;
      border: 1px solid var(--dark-color);
    }
  }
}
.slide__title {
  color: var(--secondary-color);
  font-size: 2rem;
  font-weight: 900;
  width: 100%;
  text-align: center;
  margin-bottom: 0.5em;
}
.slide__container {
  text-align: center;
  max-width: 640px;
  margin: 0 auto;
  padding: 0 1rem;
  img {
    border: 1px solid #ccc;
    box-shadow: 0 2px 4px rgb(0 0 0 /25%);
  }
}
.slide__description {
  flex: 1;
  font-size: 1rem;
  line-height: 2;
  margin-top: 0.5rem;
  text-align: center;
}
.future {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 10rem;
  @media (max-width: 520px) {
    padding: 0 1rem;
    gap: 4.5rem;
  }
  .future__title {
    text-align: center;
    font-size: 3rem;
    letter-spacing: vvar(--letter-space-largest);
    line-height: 2;
    font-weight: normal;
    b {
      font-size: inherit;
      font-weight: bold;
    }
    @media (max-width: 520px) {
      font-size: 2rem;
      padding: 3rem 0;
    }
  }
}
.installment {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 5rem;
  margin-bottom: 8rem;
  .installment__title--conservative {
    font-weight: 200;
    color: var(--conservative-color);
    text-align: center;
    font-family: "Noto Sans Thai UI", sans-serif;
  }
  .installment__counter {
    text-align: center;
    font-size: 2.25rem;
    font-weight: normal;
    line-height: 1.5;
    border-bottom: 1px solid var(--secondary-color);
    b {
      font-size: 3rem;
      font-weight: bold;
    }
    @media (max-width: 520px) {
      font-size: 1.25rem;
      b {
        font-size: 2rem;
      }
    }
  }
  @media (max-width: 768px) {
    gap: 3rem;
    margin-bottom: 5rem;
  }
}
.installment__main {
  position: relative;
  max-width: 80vw;
  width: fit-content;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  margin-bottom: 2rem;
  @media (orientation: portrait) {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    max-width: 90vw;
  }
}
.installment__main--vertical {
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  @media (max-width: 520px) {
    gap: 3rem;
  }
}
.installment__new_svg {
  width: 7.5rem;
  height: 7.5rem;
  position: absolute;
  top: -10%;
  left: -8%;
  z-index: 1;
  pointer-events: none;
  @media (orientation: portrait) {
    top: -12%;
    left: -2%;
    width: 6rem;
    height: 6rem;
  }
}
.installment__container {
  width: 50%;
  height: auto;
  border-radius: 0.25rem;
  position: relative;
  img {
    border-radius: inherit;
  }
  @media (orientation: portrait) {
    width: 100%;
    border-radius: 0;
  }
}
.installment__container--bg-white {
  flex-shrink: 0;
  background-color: white;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 2rem;
  box-shadow: 2px 4px 4px rgb(0 0 0 /25%);
  margin: -3%;
  @media (orientation: portrait) {
    margin: 0;
    .link-wrapper {
      padding: 0;
    }
  }
}
.installment__title {
  width: 100%;
  font-size: 3rem;
  font-weight: bold;
  small {
    font-size: 2rem;
  }
  @media (max-width: 520px) {
    font-size: 2rem;
    text-align: center;
    small {
      font-size: 1.5rem;
      display: block;
      text-align: center;
    }
  }
}
.installment__link {
  border: 1px solid var(--accent-color);
  background-color: white;
  color: var(--accent-color);
  font-family: var(--serif);
  box-shadow: none;
  transition: transform ease 0.2s;
  white-space: nowrap;
  @media (max-width: 768px) {
    margin: 0;
    font-size: 1rem;
  }
}
.installment__link:hover {
  color: var(--accent-color);
  background-color: #fffed5;
  transform: scale(1.1);
}
.installment__text {
  font-size: 1.25rem;
  line-height: 2;
  @media (max-width: 520px) {
    font-size: 1rem;
  }
}
.installment__text--conservative {
  color: var(--conservative-color);
  line-height: 3;
  text-align: center;
  font-size: 1.5rem;
  font-weight: 200;
  @media (max-width: 520px) {
    font-size: 1rem;
    line-height: 2;
  }
}
.end {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;
  .end__text {
    text-align: center;
    font-size: 2rem;
    font-weight: 600;
  }
  .end__text--main {
    font-size: 3.25rem;
    font-weight: bold;
  }
  @media (max-width: 520px) {
    .end__text {
      font-size: 1.5rem;
      line-height: 2;
    }
    .end__text--main {
      font-size: 2rem;
      display: block;
      width: 100vw;
      height: auto;
    }
  }
  @media (orientation: portrait) {
    gap: 5rem;
    .with-border-lazy::after {
      height: 100%;
    }
  }
}
.records {
  list-style: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}
.record {
  color: var(--conservative-color);
  font-size: 1.25rem;
  text-align: center;
  font-weight: 300;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  @media (max-width: 520px) {
    font-size: 0.875rem;
  }
}
.record::before {
  content: "";
  display: block;
  width: 2rem;
  height: 1px;
  border-top: 1px solid var(--conservative-color);
  padding: 0.75rem;
}
.record:last-child::after {
  content: "";
  display: block;
  width: 2rem;
  height: 1px;
  border-bottom: 1px solid var(--conservative-color);
  padding: 0.75rem;
}

.footer {
  background-color: #005016;
  text-align: center;
  width: 100%;
  padding: 1rem;
  margin-top: 10rem;
  small {
    text-align: inherit;
    margin: 0 auto;
    color: white;
    font-size: 0.875rem;
    font-weight: normal;
  }
}
